> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monieswitch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Dispute



## OpenAPI

````yaml openapi.json post /dispute
openapi: 3.0.0
info:
  title: Monieswitch API Reference
  version: 1.0.0
  description: ''
servers: []
security:
  - bearerAuth: []
paths:
  /dispute:
    parameters: []
    post:
      tags:
        - Dispute
      summary: Create Dispute
      parameters: []
      requestBody:
        content:
          application/json:
            schema: {}
            example: null
      responses:
        '200':
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Access-Control-Expose-Headers:
              schema:
                type: string
              example: >-
                Pragma,Expires,x-pub-key,Content-Type,Authorization,Cache-Control,X-Login-Token,X-Access-Token,Content-Language,X-Partner-Access-Token,ngrok-skip-browser-warning
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
              example: '481'
            ETag:
              schema:
                type: string
              example: W/"1e1-tTN4+LOervdqu631VfNGM7Q9fq4"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Date:
              schema:
                type: string
              example: Wed, 09 Apr 2025 13:48:47 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
          description: Create Dispute - Successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                      amount:
                        type: integer
                      status:
                        type: string
                      attachments:
                        type: array
                        items:
                          type: string
                          format: uri
                      description:
                        type: string
                      dueDate:
                        type: string
                        format: date-time
                      category:
                        type: string
                      customer:
                        type: string
                      transactionType:
                        type: string
                      transactionCategory:
                        type: string
                      enableConversation:
                        type: boolean
                      transactionReference:
                        type: string
                      createdAt:
                        type: string
                        format: date-time
              example:
                status: true
                message: Operation is successful
                data:
                  id: e748abc6-bb6c-4268-af4c-0c5a814d9435
                  amount: 3000
                  status: NEW
                  attachments:
                    - >-
                      https://d1hhqx6q67lhms.cloudfront.net/34TIUazEBZ8RHcc7dGwCKOht4_base64.jpg
                    - >-
                      https://d1hhqx6q67lhms.cloudfront.net/GD0rUJadIooipOr46S3vz6oeO_base64.jpg
                  description: Fresh morning dispute
                  dueDate: '2025-04-17T15:16:52.713Z'
                  category: CASHBACK
                  customer: Adewale Alabi
                  transactionType: CREDIT
                  transactionCategory: BANK_FUNDING
                  enableConversation: true
                  transactionReference: random-reference01
                  createdAt: '2025-04-14T15:16:52.715Z'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````